Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.stats
Class TxStatisticsInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.varia.stats.TxStatisticsInterceptor

All Implemented Interfaces:
  org.jboss.ejb.AllowedOperationsFlags, org.jboss.ejb.ContainerPlugin, org.jboss.ejb.Interceptor, org.jboss.system.Service, org.jboss.metadata.XmlLoadable

public class TxStatisticsInterceptor
extends org.jboss.ejb.plugins.AbstractInterceptor
implements org.jboss.metadata.XmlLoadable

Version:
  `$Revision: 1.2 $`
Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, log, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`TxStatisticsInterceptor()`

Method Summary
`void` | `importXml(Element element)`
`Object` | `invoke(org.jboss.invocation.Invocation mi)`
`Object` | `invokeHome(org.jboss.invocation.Invocation mi)`
`void` | `start()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`create, destroy, getContainer, getNext, setContainer, setNext, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxStatisticsInterceptor

    public TxStatisticsInterceptor()

Method Detail

### importXml

    public void importXml(Element element)
                   throws Exception

  Specified by:
    `importXml` in interface `org.jboss.metadata.XmlLoadable`
  Throws:
    `Exception`

### start

    public void start()

  Specified by:
    `start` in interface `org.jboss.system.Service`

### invokeHome

    public Object invokeHome(org.jboss.invocation.Invocation mi)
                      throws Exception

  Specified by:
    `invokeHome` in interface `org.jboss.ejb.Interceptor`
  Throws:
    `Exception`

### invoke

    public Object invoke(org.jboss.invocation.Invocation mi)
                  throws Exception

  Specified by:
    `invoke` in interface `org.jboss.ejb.Interceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.